## org.apache.poi.poifs.dev
Class POIFSViewEngine

    java.lang.Object
      org.apache.poi.poifs.dev.POIFSViewEngine

public class POIFSViewEngine
extends java.lang.Object

This class contains methods used to inspect POIFSViewable objects

Author:
  Marc Johnson (mjohnson at apache dot org)

Constructor Summary
`POIFSViewEngine()`

Method Summary
`static java.util.List` `inspectViewable(java.lang.Object viewable, boolean drilldown, int indentLevel, java.lang.String indentString)` Inspect an object that may be viewable, and drill down if told to

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POIFSViewEngine

    public POIFSViewEngine()

Method Detail

### inspectViewable

    public static java.util.List inspectViewable(java.lang.Object viewable,
                                                 boolean drilldown,
                                                 int indentLevel,
                                                 java.lang.String indentString)

  Inspect an object that may be viewable, and drill down if told to

  Parameters:
    `viewable` - the object to be viewed
    `drilldown` - if true, and the object implements POIFSViewable, inspect the objects' contents (recursively)
    `indentLevel` - how far in to indent each string
    `indentString` - string to use for indenting
  Returns:
    a List of Strings holding the content

Copyright © 2003 Apache Software Foundation.